#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/aewin.cgi                                3.6.0
#
# Creation:     gdw
# Last Update:  $Id: alix.cgi 18952 2010-12-20 22:15:37Z rresch $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

show_html_header "AEWIN"

VCORE1=`cat /sys/class/hwmon/hwmon0/device/in0_input | sed 's/^\([0-9]\)\([0-9]\)/\1.\2/'`
VCORE2=`cat /sys/class/hwmon/hwmon0/device/in1_input | sed 's/^\([0-9]\)\([0-9]\)/\1.\2/'`
V33=`cat /sys/class/hwmon/hwmon0/device/in2_input | sed 's/^\([0-9]\)\([0-9]\)/\1.\2/'`
V5=`cat /sys/class/hwmon/hwmon0/device/in3_input`
V5=`expr $V5 \* 168 | sed 's/^\([0-9]\)\([0-9]\{3\}\).*/\1.\2/'`
VCC=`cat /sys/class/hwmon/hwmon0/device/in7_input`
VCC=`expr $VCC \* 168 | sed 's/^\([0-9]\)\([0-9]\{3\}\).*/\1.\2/'`
VBAT=`cat /sys/class/hwmon/hwmon0/device/in8_input | sed 's/^\([0-9]\)\([0-9]\)/\1.\2/'`

TCPU=`cat /sys/class/hwmon/hwmon0/device/temp2_input | sed 's/^\([0-9]\+\)\([0-9]\{3\}\)/\1.\2/'`
TBOARD=`cat /sys/class/hwmon/hwmon0/device/temp1_input | sed 's/^\([0-9]\+\)\([0-9]\{3\}\)/\1.\2/'`

show_tab_header "Temperatur" no
cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU</td>
    <td>$TCPU &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB</td>
    <td>$TBOARD &deg;C</td>
</tr>
</table>
EOF
show_tab_footer

show_tab_header "Spannung" no
cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Spannung</th>
</tr>
<tr align='center'>
    <td>VCore 1</td>
    <td>$VCORE1 V</td>
</tr>
<tr align='center'>
    <td>VCore 2</td>
    <td>$VCORE2 V</td>
</tr>
<tr align='center'>
    <td>+3,3</td>
    <td>$V33 V</td>
</tr>
<tr align='center'>
    <td>+5</td>
    <td>$V5 V</td>
</tr>
<tr align='center'>
    <td>VCC</td>
    <td>$VCC V</td>
</tr>
<tr align='center'>
    <td>VBat</td>
    <td>$VBAT V</td>
</tr>
</table>
EOF
show_tab_footer

show_html_footer
