#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/cv860a.cgi                                 3.5.0
#
# Creation:     gdw
# Last Update:  $Id: cv860a.cgi 18538 2010-08-04 17:04:35Z rresch $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

volt1=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in0_input`
volt2=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in1_input`
volt3=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in2_input`
volt4=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in3_input`
volt5=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in4_input`
temp1=`sed 's/\([0-9]\)[0-9]\{2\}$/.\1/' /sys/class/hwmon/hwmon0/device/temp1_input`
temp2=`sed 's/\([0-9]\)[0-9]\{2\}$/.\1/' /sys/class/hwmon/hwmon0/device/temp2_input`
freq=`sed 's/\([0-9]\{3\}\)$//' /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq`
freq=`expr $freq + 1`
show_html_header "cv860a"

show_tab_header "Temperaturen" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU</td>
    <td>$temp1 &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB</td>
    <td>$temp2 &deg;C</td>
</tr>
</table>
EOF

show_tab_footer

show_tab_header "Spannungen" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Spannung</th>
</tr>
<tr align='center'>
    <td>CPU Core</td>
    <td>$volt1 V</td>
</tr>
<tr align='center'>
    <td>2.5V</td>
    <td>$volt2 V</td>
</tr>
<tr align='center'>
    <td>I/O</td>
    <td>$volt3 V</td>
</tr>
<tr align='center'>
    <td>5V</td>
    <td>$volt4 V</td>
</tr>
<tr align='center'>
    <td>12V</td>
    <td>$volt5 V</td>
</tr>
</table>
EOF

show_tab_footer
if [ -n "`lsmod | grep longhaul`" ]
then
  show_tab_header "Prozessor" no

  cat <<EOF
<table class='normtable'>
<tr align='center'>
    <td>Taktfrequenz</td>
    <td>$freq MHz</td>
</tr>
</table>
EOF

  show_tab_footer
fi

show_html_footer
